/*  ==========================================================================
    // Input
    //
    // Input fields
    //
    // .input__field--inverted - inverted style
    //
    // Markup: forms-input.html
    //
    // Style guide: Modules.Input
/*  ========================================================================== */

    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="password"],
    input[type="tel"]
    {
        &.input__field
        {
            width: 100%;
            height: $input-height;

            background: $input-field-background;
            color: $input-field-color;
            border-radius: $input-field-border-radius;
            font-weight: $input-font-weight;
            border: $input-field-border;
        }

        // when an input is displayed in a box

        &.input__field--inverted
        {
            background: $input-field-inverted-background;
            color: $input-field-inverted-color;
            border: $input-field-inverted-border;
        }

        // when an input is required

        &.input__field--required
        {
            + .input__label
            {
                .input__label-content
                {
                    &:after
                    {
                        content: ' *';
                    }
                }
            }
        } 
    }


    /* INPUT LABEL
    ========================================================================== */

    .input__label
    {
        position: absolute;
        bottom: 0;
        left: 0;

        display: inline-block;
        width: 100%;
        height: 100%;
        float: right;
        padding: 0;
        margin: 0;

        -webkit-touch-callout: none;
        user-select: none;
        text-align: left;
        pointer-events: none;
        font-weight: $input-font-weight;
        font-size: $input-font-size;

        &::before,
        &::after
        {
          position: absolute;
          top: -3px;
          left: 0;

          width: calc(100% + 7px);
          height: 100%;

          content: '';
        }

        &::after
        {
          margin-top: 2px;
          border-bottom: 4px solid $positive;
          //transform: translate3d(-100%, 0, 0);
          width: 0px;
          transition: width 0.3s;
        }
    }

    .input__label-content
    {
        position: absolute;

        display: block;
        width: 100%;
        height: 100%;
        padding: $input-field-padding 0;
        padding-left: $r-gutter / 2;

        color: $input-placeholder-color;
        line-height: $input-label-line-height;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    } 


    /* INPUT UNIT
    ========================================================================== */

    .input__unit
    {
        position: absolute;
        top: 0;
        right: 0;

        height: $input-label-height;
        padding: 0 $r-gutter / 2;

        color: $input-label-color;
        line-height: $input-label-line-height;
        font-weight: $input-label-font-weight;
    }

    .form-component--large
    {
        .input__unit
        {
            height: $input-label-large-height;

            line-height: $input-label-large-line-height;
        }
    }


    /* INPUT ICON
    ========================================================================== */

    .input__icon
    {
        position: absolute;
        top: 14px;
        right: 14px;
        z-index: 1;
    }
    

    /* SIZES
    ========================================================================== */

    .input__label-content--large
    {
        padding: 1.5 0;
        padding-left: $r-gutter / 2;
    }

    .input__label-content--huge
    {
      padding: 2 0;
      padding-left: $r-gutter / 2;
    }


    .input__field:focus + .input__label::after
    {
      width: 100%;
    }

    .input__field:focus + .input__label .input__label-content,
    .input--filled .input__label-content
    {
      animation: anim-input 0.5s forwards;

      color: $gray-85;
      background-color: transparent;
    }


    /* ANIMATONS
    ========================================================================== */

    @keyframes anim-input {

        0% {
            opacity: 1;
        }

        100% {
            opacity: 0;
            transform: translate3d(0, 40px, 0);
        }
    }